
Redmine - Defect #26002

Issues can be assigned to this role  - didnt work correctly

2017-05-19 18:17 - Maxim Krušina

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 3.3.1

Description

We have an API user and special role for this user.

This role have "Issues can be assigned to this role" box unchecked.

But when ticket is created by this API user, he's still listed in Assignee field of the ticket and the ticket can be aasigned to this user.

When ticket is created by someone else, it works OK.

History

#1 - 2017-06-18 06:30 - Toshi MARUYAMA

- Status changed from New to Confirmed

I have confirmed in 3.3.3.

In "role":

"Add issues": OFF

OK

"Add issues": ON

"New issue" -> NG

"Edit issue" -> OK

#2 - 2017-06-21 18:30 - Holger Just

Right now, the author of an issue is always a valid assignee as long as they are still active. In its original implementation, this was added in r4240

related to #4199. Right now, it appears to me to be a feature, not a bug :)

Here, your API user can thus be assigned to issues they created on their own but not arbitrary other issues.

#3 - 2024-08-18 07:14 - Go MAEDA

- Status changed from Confirmed to Closed

- Resolution set to Wont fix

Holger Just wrote in #note-2:

Right now, the author of an issue is always a valid assignee as long as they are still active. In its original implementation, this was added in 

r4240 related to #4199. Right now, it appears to me to be a feature, not a bug :)

 I am closing this issue.
